# Helm Maintainers

This document explains the leadership structure of the Kubernetes Helm project, and list the current project maintainers.

## What is a Maintainer?

(Unabashedly stolen from the [Docker](https://github.com/docker/docker/blob/master/MAINTAINERS) project)

There are different types of maintainers, with different responsibilities, but
all maintainers have 3 things in common:

1. They share responsibility in the project's success.
2. They have made a long-term, recurring time investment to improve the project.
3. They spend that time doing whatever needs to be done, not necessarily what
is the most interesting or fun.

## Types of Maintainers

The Helm project includes two types of official maintainers: maintainers and core maintainers.

### Helm Maintainers

Helm maintainers are developers who have commit access to the Helm repository.
The duties of a maintainer include:

* Classify and respond to GitHub issues and review pull requests
* Perform code reviews
* Shape the Helm roadmap and lead efforts to accomplish roadmap milestones
* Participate actively in feature development and bug fixing
* Answer questions and help users
* Participate in planning meetings

### Helm Core Maintainers

In addition to the duties of a Maintainer, Helm Core Maintainers also:

* Coordinate planning meetings
* Triage GitHub issues for milestone planning
* Escalate emergency issues (broken builds, security flaws) outside of
  the normal planning process

The current core maintainers of Helm:

* Jack Greenfield - [@jackgr](https://github.com/jackgr)
* Matt Butcher - [@technosophos](https://github.com/technosophos)

## Project Planning

The Helm team holds regular planning meetings to set the project direction, milestones, and relative prioritization of issues.  Planning meetings are coordinated via the #Helm room in the [Kubernetes Slack](http://slack.kubernetes.io/).

In order to solicit feedback from the community, planning meetings are run in public whenever possible.

## Becoming a Maintainer

Generally, potential maintainers are selected by the existing core maintainers based in part on the following criteria:

* Sustained contributions to the project over a period of time (usually months)
* A willingness to help users on GitHub and in the [#Helm Slack room](http://slack.kubernetes.io/)
* A friendly attitude

The Helm core maintainers must unanimously agree before inviting a community member to join as a maintainer, although in many cases the candidate has already been acting in the capacity of a maintainer for some time, and has been consulted on issues, pull requests, etc.